<?php
/* @var $this UserController */
/* @var $model User */

//$this->breadcrumbs = array(
//    'Users' => array('index'),
//    'Manage',
//);

$this->menu = array(
    array('label' => 'List User', 'url' => array('index')),
    array('label' => 'Create User', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#user-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h4>Manage Users</h4>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php // echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$userStatus = Yii::app()->user->getState('__statusAdmin');
if ($userStatus == 'Admin') {
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'user-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'id',
        'username',
//		'password',
        'phone',
        'email',
        'created_at',
        'lastvisit_at',
        /*
          'superuser',
          'status',
         */
        array(
            'class' => 'CButtonColumn',
//            'template' => '{update}{view}{delete}',
//            //hide update button
//            'buttons' => array(
//                'update' => array(
//                    'visible' => 'false',
//                ),
//                //hide delete button
//                'delete' => array(
//                    'visible' => 'false',
//                ),
//            //
//            ),
        ////////////////////////
        ),
    ),
));
}
 else {
    
     $this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'user-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'id',
        'username',
//		'password',
        'email',
        'created_at',
        'lastvisit_at',
        /*
          'superuser',
          'status',
         */
        array(
            'class' => 'CButtonColumn',            
        ),
    ),
));
}
?>
